org.apache.ignite.spi.discovery

## Class DiscoveryNotification

- java.lang.Object
- - org.apache.ignite.spi.discovery.DiscoveryNotification

-     public class DiscoveryNotification
      extends Object

  Discovery notification object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoveryNotification(int eventType, long topVer, ClusterNode node, Collection<ClusterNode> topSnapshot)`
    `DiscoveryNotification(int eventType, long topVer, ClusterNode node, Collection<ClusterNode> topSnapshot, @Nullable Map<Long,Collection<ClusterNode>> topHist, @Nullable DiscoverySpiCustomMessage customMsgData, org.apache.ignite.internal.processors.tracing.messages.SpanContainer spanContainer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DiscoverySpiCustomMessage` | `getCustomMsgData()`
    `ClusterNode` | `getNode()`
    `org.apache.ignite.internal.processors.tracing.messages.SpanContainer` | `getSpanContainer()`
    `Map<Long,Collection<ClusterNode>>` | `getTopHist()`
    `Collection<ClusterNode>` | `getTopSnapshot()`
    `long` | `getTopVer()`
    `int` | `type()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscoveryNotification

          public DiscoveryNotification(int eventType,
                                       long topVer,
                                       ClusterNode node,
                                       Collection<ClusterNode> topSnapshot)

      Parameters:
        `eventType` - Event type.
        `topVer` - Topology version.
        `node` - Node.
        `topSnapshot` - Topology snapshot.

    - #### DiscoveryNotification

          public DiscoveryNotification(int eventType,
                                       long topVer,
                                       ClusterNode node,
                                       Collection<ClusterNode> topSnapshot,
                                       @Nullable
                                       @Nullable Map<Long,Collection<ClusterNode>> topHist,
                                       @Nullable
                                       @Nullable DiscoverySpiCustomMessage customMsgData,
                                       org.apache.ignite.internal.processors.tracing.messages.SpanContainer spanContainer)

      Parameters:
        `eventType` - Event type.
        `topVer` - Topology version.
        `node` - Node.
        `topSnapshot` - Topology snapshot.
        `topHist` - Topology history.
        `customMsgData` - Custom message data.
        `spanContainer` - Span container.

  - ### Method Detail

    - #### type

          public int type()

      Returns:
        Event type.

    - #### getTopVer

          public long getTopVer()

      Returns:
        Topology version.

    - #### getNode

          public ClusterNode getNode()

      Returns:
        Cluster node.

    - #### getTopSnapshot

          public Collection<ClusterNode> getTopSnapshot()

      Returns:
        Topology snapshot.

    - #### getTopHist

          public Map<Long,Collection<ClusterNode>> getTopHist()

      Returns:
        Topology history.

    - #### getCustomMsgData

          public DiscoverySpiCustomMessage getCustomMsgData()

      Returns:
        Custom message data.

    - #### getSpanContainer

          public org.apache.ignite.internal.processors.tracing.messages.SpanContainer getSpanContainer()

      Returns:
        Span container.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022